当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2010-12-29 14:29 

注册: 2008-10-27 12:51
帖子: 16
送出感谢: 0 次
接收感谢: 1
我的系统现在提醒我的安装出错,具体内容如下,请大家帮忙看看,谢谢

Package operation failed 包操作失败
The installation or removal of a software package failed. 安装或移除一个软件包失败。

details: 具体内容
installArchives() failed: Setting up install-info (4.13a.dfsg.1-5ubuntu1) ...

/etc/environment: line 4: ./configure: No such file or directory

dpkg: error processing install-info (--configure):

subprocess installed post-installation script returned error exit status 1

Setting up install-info (4.13a.dfsg.1-5ubuntu1) ...

/etc/environment: line 4: ./configure: No such file or directory

dpkg: error processing install-info (--configure):

subprocess installed post-installation script returned error exit status 1



_________________
评价: 3.7% alexshots
 
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2010-12-29 19:49 

注册: 2010-06-03 22:51
帖子: 452
送出感谢: 1
接收感谢: 0 次
先换一下源试试 推荐163的源 再更新 可能是其他的问题 等其他人解决


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2010-12-29 22:34 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
试下?
viewtopic.php?f=77&t=213816


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2010-12-30 11:13 

注册: 2008-10-27 12:51
帖子: 16
送出感谢: 0 次
接收感谢: 1
谢谢lainme的提示,我照上面的改了以后,至少apt-get update是可以做了。 但现在还是有个问题,就是当我在安装软件的时候,还是提醒我的设置不对,请看:
installArchives() failed: dpkg: parse error, in file '/var/lib/dpkg/status' near line 6129 package 'install-info':

Configured-Version for package with inappropriate Status

我是从ubuntu软件中心安装的。

以下是我现在的修改后的,之前的status是 install ok half-configured,现在改成了 install ok installed了。

Package: install-info
Status: install ok installed
Priority: important
Section: doc
Installed-Size: 252
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Source: texinfo
Version: 4.13a.dfsg.1-5ubuntu1
Config-Version: 4.13a.dfsg.1-5ubuntu1
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Depends: libc6 (>= 2.4)
Conflicts: texinfo (<< 4.13a.dfsg.1-2)
Description: Manage installed documentation in info format
The install-info utility creates the index of all installed documentation
in info format and makes it available to info readers.
Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>


请各位帮忙看看该如何改,我不知道该怎么该了,谢谢


页首
 用户资料  
 
5 楼 
 文章标题 : 新的问题:dpkg status设置出现问题,安装任何软件或升级都提示install-info设置错误,请帮忙,急,谢谢
帖子发表于 : 2011-01-15 22:00 

注册: 2008-10-27 12:51
帖子: 16
送出感谢: 0 次
接收感谢: 1
dpkg: parse error, in file '/var/lib/dpkg/status' near line 6129 package 'install-info':
Configured-Version for package with inappropriate Status
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install. Trying to recover:
dpkg: parse error, in file '/var/lib/dpkg/status' near line 6129 package 'install-info':
Configured-Version for package with inappropriate Status

请问我该如何设置,上面已有我原来的设置,谢谢大家帮忙。这是ubuntu的精神所在!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2011-01-16 10:46 
头像

注册: 2007-08-05 17:40
帖子: 4980
送出感谢: 0 次
接收感谢: 6
什么嘛!!!
检查你的/etc/environment
瞎改什么系统环境配置。。。。

乱改东西要受到惩罚的。


_________________
free VPN
YouKuDownLoader
代码:
pip3 install ykdl

install YouKuDownLoader, have fun in downloading.
YouKuDownLoader所支持网站列表


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2011-01-19 11:41 

注册: 2008-10-27 12:51
帖子: 16
送出感谢: 0 次
接收感谢: 1
谢谢提醒,但我根本就没有改过我environment, 这是我的:
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
CLASSPATH=.:/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun
JAVAC=javac ./configure

请指点,非常感谢


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 我的系统不能安装任何软件或升级,请帮忙
帖子发表于 : 2013-05-05 18:21 

注册: 2010-01-22 23:45
帖子: 248
送出感谢: 30
接收感谢: 3
这问题,我也遇到了。

是在ubuntu 11.10 32bit,升级ubuntu 12.04 LTS的时候。

我ubuntu 11.10为了玩minecraft 1.5.1/1.5.2,安装了oracle/sun的jre和jdk 1.7

需要把部分配置内容写入/etc/environment

结果就是导致,系统在安装包的时候,install-info,info,ubuntu-standard,这几个包安装死活过不去。卡那里。报错都是说。读取/etc/environment中和jre或者jdk相关内容的行时候报错。

所以,work-around就是,备份environment文件。然后修改该文件,就留最开始的2行。
代码 PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
代码 export GNOME_SHELL_DISABLE_TFP=1

底下jre,jdk的配置行都删除。完了保存。重启ubuntu让/etc/environment文件生效。

完了。再安装任何一个新软件,或者包,(我系统里事先安装过新立得,synaptic package manager)你就发现,配置到一半的install-info,info,ubuntu-standard等包,又都正常了。

真是ooxx,xxoo,完了,那再把java jre/jdk的东西,写回来,放到/etc/environment下吧。。。

哎。。。真折腾。

所以,就是说,这个jre和jdk在linux下的这个环境变量。

干脆就不要写到/etc/environment去好了。

写到/etc/profile和~/.bashrc(限当前用户)中,文件的末尾好了。


_________________
-


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Exabot [Bot], Google [Bot] 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译